goyave - 🍐 Elegant Golang REST API Framework
1 points posted by Everton Marques ⌘ Read more
Go to use pdqsort instead of quicksort
3 points posted by kenny ⌘ Read more
Hiring: Senior Go Engineer - href=”https://we.loveprivacy.club/search?q=%23remote”>#remote**
1 points posted by golangch ⌘ Read more
I’m exhausted. I don’t know when it all started to go wrong but I’m exhausted. Every relationship feels like work. Every moment that I’m awake feels like work. kdramaspace
the joy of having written down a possible improvement for a wikipedia article, only to go & find out somebody else has already done it. glorious
Code: update to 1.18.1 of opinionated Ansible role for Go
Note: due to an issue no darwin build published for 1.18.1 at the time of writing 1 points posted by Sascha Andres ⌘ Read more
When to use generics
3 points posted by tomf ⌘ Read more
Excelize 2.6.0 Released – Go language API for spreadsheet (Excel) document
1 points posted by xuri ⌘ Read more
Achieving SLSA 3 Compliance with GitHub Actions and Sigstore for Go modules
Learn how to build packages with SLSA 3 provenance using GitHub Actions. ⌘ Read more
Settermtitle
A simple command-line tool written in Go that sets the terminal title. Useful for naming your various Terminal windows as you work on multiple things at the same time and need a way to quickly and easily identify which Terminal is which
1 points posted by James Mills ⌘ Read more
Linguistics Degree
⌘ Read more
Linguistics Degree
⌘ Read more
❤️ 🎶: Go Fast (KARTRIDER X LINE FRIENDS [Original Game Soundtrack], Pt. 3) by Yoon Do Hyun, KimYeji
im gonna go out onna limb here and claim that theres not enough positive utilitarians around
rereading the wikipedia page on ramanujan, we should absolutely clone him and von Neumann, and have them talk to each other. this is either going to destroy the world or usher in utopia, not sure which
Hiring: Software Engineer (Go, 100% Remote, 190k)
1 points posted by golangch ⌘ Read more
not the best move on the side of the red cross to call me and tell me it’s because of my blood donation — i nearly had a panic attack for the 10 seconds that they didn’t tell me it was all fine (why would you call me then‽ and why speak as if you’re going to tell me i’ll be dead in a month‽)
Six years ago, I was with my family on a cruise on the North Sea. During this trip we also visited Amsterdam. Today, however, I would no longer go on cruises because of the enormous environmental impact. ⌘ Read more
Six years ago, I was with my family on a cruise on the North Sea. During this trip we also visited Amsterdam. Today, however, I would no longer go on cruises because of the enormous environmental impact. ⌘ Read more
Going to Space with William Shatner & Neil deGrasse Tyson ⌘ Read more
Mastering Go #gotime href=”https://we.loveprivacy.club/search?q=%23podcast”>#podcast**
1 points posted by tomf ⌘ Read more
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
promcheck - A tool to identify faulty Prometheus rules written in Go
1 points posted by cbrgm ⌘ Read more
Hiring: Senior Go Engineer (Remote)
1 points posted by golangch ⌘ Read more
Go 1.18 Released
1 points posted by johnsiilver ⌘ Read more
Testing Generics in Go
1 points posted by Elton Minetto ⌘ Read more
apparently i have LOST ANOTHER 3 KILOGRAMS WHAT IS GOING ON I EXERCISE LIKE 3 HOURS A WEEK AND EAT LIKE A BEAR AND A TIGER
update-golang 0.24 - easily fetch and install new Golang releases
update-golang is a script to easily fetch and install new Golang releases with minimum system intrusion.
When you need to quickly boot up a Golang binary release into a system.
The script can automatically detect the latest Golang release.
This release updates the URL for retrieving Go release list.
Full details: https://github.com/udhos/update-golang 1 point … ⌘ Read more
A mind that is stretched by a new idea can never go back to its original dimensions “A mind that is stretched by a new idea can never go back to its original dimensions”*… | (Roughly) Daily
Creating CLI commands, subcommands and flags with google/subcommands href=”https://we.loveprivacy.club/search?q=%23cli”>#cli**
How to create CLI programs with multiple commands, flags and subcommands, and do it fast and simply?
google/subcommands makes it a breeze.
Let us see how.
1 points posted by FGM ⌘ Read more
One down! More to go.
BREAKING: Russian billionaire Alisher Usmanov’s super yacht, one of the biggest in the world, seized in Germany - Forbes
Event: Generics in Go 1.18 - Introduced using a practical example
Go 1.18 is about to be released (or it is already depending when you’re reading this). One of the big things in it are generics. Axel Wagner will introduce us to generics using a practical example. 1 points posted by Sascha Andres ⌘ Read more
to do: go nuclear on a date and explain that im just performing an act, that i studied this in detail and trained myself to do it, that this is a deliberate effort to escape my patheticness
It’s a busy life just trying to live and eat Go Back Couple (2017) - MyDramaList
Prig: like AWK, but uses Go for “scripting”
1 points posted by Everton Marques ⌘ Read more
Generate an NFT Collection in Go
1 points posted by plutov ⌘ Read more
Google no longer allows in-app donations that don’t go through Google Play. https://github.com/streetcomplete/StreetComplete/issues/3768
Hiring: GO Backend Architect (100% remote)
1 points posted by golangch ⌘ Read more
New repository: aquilax/quartzdb-go - Go implementation of QuartzDB
Why didn’t I think of the very helpful Go module “net/http/pprof” earlier? This way I can profile my blog live. 🤓 (And hopefully find parts that I should or can optimize.) ⌘ Read more
Writing free software is like painting. You should do it if you feel like it, or if you, yourself, get something out of it. The moment you start to feel that you are owed something is the moment that you should stop doing it, because what you do from then on is probably not going to be any good. Is it even worth working on FOSS anymore? | Hacker News
noticing that i should go to sleep because the guitar opening on Robot Rock seems awfully fast
going back to vim. #updates
New repository: aquilax/cmdpxl-go - Go port of the terminal image editor cmdpxl
Build your own DSL with GO and HCL
Learn to build your own DSL (Domain Specific Language) with HCL (HashiCorp Configuration Language) 1 points posted by IVAN CORRALES SOLERA ⌘ Read more
Tractor Beam
⌘ Read more
Tractor Beam
⌘ Read more
The Go 1.18 generics landscape
A fairly complete presentation about Go 1.18 generics including examples, planned changes for future releases, writing generics code, defining constraints, new library packages, and generics examples for generics Map() / Reduce() / Filter() and a type-safe Set implementation. 1 points posted by FGM ⌘ Read more
Go version performance
4 points posted by kenny ⌘ Read more
